AxisTestBase (Axis API)
Keywords: org.apache.axis.test.AxisTestBase,AxisTestBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.test
Class AxisTestBase

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.apache.axis.test.AxisTestBase

All Implemented Interfaces:
  junit.framework.Test

public abstract class AxisTestBase
extends junit.framework.TestCase

base test class for Axis test cases.

Author:
  steve loughran

Constructor Summary
`AxisTestBase(java.lang.String s)`

Method Summary
`static boolean` | `isOnline()` test for the online tests being enabled
`static boolean` | `isPropertyTrue(java.lang.String propertyname)` probe for a property being set in ant terms.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AxisTestBase

    public AxisTestBase(java.lang.String s)

Method Detail

### isPropertyTrue

    public static boolean isPropertyTrue(java.lang.String propertyname)

  probe for a property being set in ant terms.

  Parameters:
    `propertyname` -
  Returns:
    true if the system property is set and set to true or yes

### isOnline

    public static boolean isOnline()

  test for the online tests being enabled

  Returns:
    true if 'online' tests are allowed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.